VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec:

## Avaliable Methods
public method | set_additional_parameters ()
public method | set_storage_mappings ()
public method | get_flags ()
public method | set_locale ()
public method | set_name ()
public method | get_network_mappings ()
public method | set_storage_provisioning ()
public method | set_accept_all_EULA ()
public method | new ()
public method | get_accept_all_EULA ()
public method | set_default_datastore_id ()
public method | get_default_datastore_id ()
public method | set_network_mappings ()
public method | set_annotation ()
public method | set_storage_profile_id ()
public method | get_locale ()
public method | get_annotation ()
public method | set_flags ()
public method | get_storage_provisioning ()
public method | get_additional_parameters ()
public method | get_storage_profile_id ()
public method | get_name ()
public method | get_storage_mappings ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec` class defines the deployment parameters that can be specified for the `deploy` method where the deployment target is a resource pool. See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_accept_all_EULA | ( |  | ) |

Gets the value of 'accept_all_EULA' property.

Return values

  accept_all_EULA | - The current value of the field. Whether to accept all End User License Agreements. See :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary.eulas` . boolean#

Code:
click to view
# Number of lines of code in get_accept_all_EULA: 4
sub get_accept_all_EULA {
my ($self, %args) = @_;
return $self->{'accept_all_EULA'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_additional_parameters | ( |  | ) |

Gets the value of 'additional_parameters' property.

Return values

  additional_parameters | - The current value of the field. Additional OVF parameters that may be needed for the deployment. Additional OVF parameters may be required by the OVF descriptor of the OVF package in the library item. Examples of OVF parameters that can be specified through this field include, but are not limited to: class Com::Vmware::Vcenter::Ovf::DeploymentOptionParams class Com::Vmware::Vcenter::Ovf::ExtraConfigParams class Com::Vmware::Vcenter::Ovf::IpAllocationParams class Com::Vmware::Vcenter::Ovf::PropertyParams class Com::Vmware::Vcenter::Ovf::ScaleOutParams class Com::Vmware::Vcenter::Ovf::VcenterExtensionParams Optional#

Code:
click to view
# Number of lines of code in get_additional_parameters: 4
sub get_additional_parameters {
my ($self, %args) = @_;
return $self->{'additional_parameters'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_annotation | ( |  | ) |

Gets the value of 'annotation' property.

Return values

  annotation | - The current value of the field. Annotation assigned to the deployed target virtual machine or virtual appliance. Optional#

Code:
click to view
# Number of lines of code in get_annotation: 4
sub get_annotation {
my ($self, %args) = @_;
return $self->{'annotation'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_default_datastore_id | ( |  | ) |

Gets the value of 'default_datastore_id' property.

Return values

  default_datastore_id | - The current value of the field. Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor. Optional#

Code:
click to view
# Number of lines of code in get_default_datastore_id: 4
sub get_default_datastore_id {
my ($self, %args) = @_;
return $self->{'default_datastore_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_flags | ( |  | ) |

Gets the value of 'flags' property.

Return values

  flags | - The current value of the field. Flags to be use for deployment. The supported flag values can be obtained using :func:`Com::Vmware::Vcenter::Ovf::ImportFlag.list` . Optional#

Code:
click to view
# Number of lines of code in get_flags: 4
sub get_flags {
my ($self, %args) = @_;
return $self->{'flags'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_locale | ( |  | ) |

Gets the value of 'locale' property.

Return values

  locale | - The current value of the field. The locale to use for parsing the OVF descriptor. Optional#

Code:
click to view
# Number of lines of code in get_locale: 4
sub get_locale {
my ($self, %args) = @_;
return $self->{'locale'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name assigned to the deployed target virtual machine or virtual appliance. Optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_network_mappings | ( |  | ) |

Gets the value of 'network_mappings' property.

Return values

  network_mappings | - The current value of the field. Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor. The key in the map is the section identifier of the ovf:NetworkSection section in the OVF descriptor and the value is the target network to be used for deployment. Optional#

Code:
click to view
# Number of lines of code in get_network_mappings: 4
sub get_network_mappings {
my ($self, %args) = @_;
return $self->{'network_mappings'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_storage_mappings | ( |  | ) |

Gets the value of 'storage_mappings' property.

Return values

  storage_mappings | - The current value of the field. Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor. The key in the map is the section identifier of the ovf:StorageGroupSection section in the OVF descriptor and the value is the target storage specification to be used for deployment. See class Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping . Optional#

Code:
click to view
# Number of lines of code in get_storage_mappings: 4
sub get_storage_mappings {
my ($self, %args) = @_;
return $self->{'storage_mappings'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_storage_profile_id | ( |  | ) |

Gets the value of 'storage_profile_id' property.

Return values

  storage_profile_id | - The current value of the field. Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor. Optional#

Code:
click to view
# Number of lines of code in get_storage_profile_id: 4
sub get_storage_profile_id {
my ($self, %args) = @_;
return $self->{'storage_profile_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::get_storage_provisioning | ( |  | ) |

Gets the value of 'storage_provisioning' property.

Return values

  storage_provisioning | - The current value of the field. Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor. Optional#

Code:
click to view
# Number of lines of code in get_storage_provisioning: 4
sub get_storage_provisioning {
my ($self, %args) = @_;
return $self->{'storage_provisioning'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 36
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{annotation} = $args{'annotation'};
$self->{accept_all_EULA} = $args{'accept_all_EULA'};
$self->{network_mappings} = $args{'network_mappings'};
$self->{storage_mappings} = $args{'storage_mappings'};
$self->{storage_provisioning} = $args{'storage_provisioning'};
$self->{storage_profile_id} = $args{'storage_profile_id'};
$self->{locale} = $args{'locale'};
$self->{flags} = $args{'flags'};
$self->{additional_parameters} = $args{'additional_parameters'};
$self->{default_datastore_id} = $args{'default_datastore_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.resource_pool_deployment_spec');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'annotation', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'accept_all_EULA', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'network_mappings', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType()})))));
$self->set_binding_field('key' => 'storage_mappings', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'LibraryItem::StorageGroupMapping')})))));
$self->set_binding_field('key' => 'storage_provisioning', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'DiskProvisioningType')));
$self->set_binding_field('key' => 'storage_profile_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'locale', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'flags', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'additional_parameters', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::DynamicStructType())));
$self->set_binding_field('key' => 'default_datastore_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_accept_all_EULA | ( |  | ) |

Sets the given value for 'accept_all_EULA' property.

Parameters

  accept_all_EULA | - New value for the field. Whether to accept all End User License Agreements. See :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary.eulas` .

Code:
click to view
# Number of lines of code in set_accept_all_EULA: 5
sub set_accept_all_EULA {
my ($self, %args) = @_;
$self->{'accept_all_EULA'} = $args{'accept_all_EULA'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_additional_parameters | ( |  | ) |

Sets the given value for 'additional_parameters' property.

Parameters

  additional_parameters | - New value for the field. Additional OVF parameters that may be needed for the deployment. Additional OVF parameters may be required by the OVF descriptor of the OVF package in the library item. Examples of OVF parameters that can be specified through this field include, but are not limited to: class Com::Vmware::Vcenter::Ovf::DeploymentOptionParams class Com::Vmware::Vcenter::Ovf::ExtraConfigParams class Com::Vmware::Vcenter::Ovf::IpAllocationParams class Com::Vmware::Vcenter::Ovf::PropertyParams class Com::Vmware::Vcenter::Ovf::ScaleOutParams class Com::Vmware::Vcenter::Ovf::VcenterExtensionParams

Code:
click to view
# Number of lines of code in set_additional_parameters: 5
sub set_additional_parameters {
my ($self, %args) = @_;
$self->{'additional_parameters'} = $args{'additional_parameters'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_annotation | ( |  | ) |

Sets the given value for 'annotation' property.

Parameters

  annotation | - New value for the field. Annotation assigned to the deployed target virtual machine or virtual appliance.

Code:
click to view
# Number of lines of code in set_annotation: 5
sub set_annotation {
my ($self, %args) = @_;
$self->{'annotation'} = $args{'annotation'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_default_datastore_id | ( |  | ) |

Sets the given value for 'default_datastore_id' property.

Parameters

  default_datastore_id | - New value for the field. Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor.

Code:
click to view
# Number of lines of code in set_default_datastore_id: 5
sub set_default_datastore_id {
my ($self, %args) = @_;
$self->{'default_datastore_id'} = $args{'default_datastore_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_flags | ( |  | ) |

Sets the given value for 'flags' property.

Parameters

  flags | - New value for the field. Flags to be use for deployment. The supported flag values can be obtained using :func:`Com::Vmware::Vcenter::Ovf::ImportFlag.list` .

Code:
click to view
# Number of lines of code in set_flags: 5
sub set_flags {
my ($self, %args) = @_;
$self->{'flags'} = $args{'flags'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_locale | ( |  | ) |

Sets the given value for 'locale' property.

Parameters

  locale | - New value for the field. The locale to use for parsing the OVF descriptor.

Code:
click to view
# Number of lines of code in set_locale: 5
sub set_locale {
my ($self, %args) = @_;
$self->{'locale'} = $args{'locale'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name assigned to the deployed target virtual machine or virtual appliance.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_network_mappings | ( |  | ) |

Sets the given value for 'network_mappings' property.

Parameters

  network_mappings | - New value for the field. Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor. The key in the map is the section identifier of the ovf:NetworkSection section in the OVF descriptor and the value is the target network to be used for deployment.

Code:
click to view
# Number of lines of code in set_network_mappings: 5
sub set_network_mappings {
my ($self, %args) = @_;
$self->{'network_mappings'} = $args{'network_mappings'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_storage_mappings | ( |  | ) |

Sets the given value for 'storage_mappings' property.

Parameters

  storage_mappings | - New value for the field. Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor. The key in the map is the section identifier of the ovf:StorageGroupSection section in the OVF descriptor and the value is the target storage specification to be used for deployment. See class Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping .

Code:
click to view
# Number of lines of code in set_storage_mappings: 5
sub set_storage_mappings {
my ($self, %args) = @_;
$self->{'storage_mappings'} = $args{'storage_mappings'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_storage_profile_id | ( |  | ) |

Sets the given value for 'storage_profile_id' property.

Parameters

  storage_profile_id | - New value for the field. Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor.

Code:
click to view
# Number of lines of code in set_storage_profile_id: 5
sub set_storage_profile_id {
my ($self, %args) = @_;
$self->{'storage_profile_id'} = $args{'storage_profile_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec::set_storage_provisioning | ( |  | ) |

Sets the given value for 'storage_provisioning' property.

Parameters

  storage_provisioning | - New value for the field. Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor.

Code:
click to view
# Number of lines of code in set_storage_provisioning: 5
sub set_storage_provisioning {
my ($self, %args) = @_;
$self->{'storage_provisioning'} = $args{'storage_provisioning'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm